:- use_module(bench).
:- use_module(isa/control).


% We test this interpreter with the following configuration:
threads([0, 1, 2, 3]).

localMem([
	[(0, 0), (1, 0), (2, 0), (3, 0)],
	[(0, 0), (1, 0), (2, 0), (3, 0)],
	[(0, 0), (1, 0), (2, 0), (3, 0)],
	[(0, 0), (1, 0), (2, 0), (3, 0)]
]).

sharedMem([(0, 0), (1, 1), (2, 2), (3, 3)]).


% To run:
run() :-

	% Benchmark
	bench08(P),

	% Threads
	threads(T), threads(FullWarp),

	% Local memory bank
	localMem(LMB),

	% Shared memory
	sharedMem(SM),

	% Executing benchmarks
	simulate(T, LMB, SM, [], (FullWarp, []), P, 1, _, _, _), halt.
